\documentclass{article}
\usepackage{booktabs} % needed for tables
\usepackage{graphicx}
\usepackage{paralist} % needed for compact lists
\usepackage[normalem]{ulem} % needed by strike
\usepackage[urlcolor=blue,colorlinks=true]{hyperref}
\usepackage[utf8]{inputenc}  % char encoding

\title{TXT2TAGS SAMPLE}
\author{Aurelio Jargas}
\begin{document}
\maketitle
\clearpage


\section*{Introduction}

Welcome to the txt2tags sample file.

Here you have examples and a brief explanation of all
marks.

The first 3 lines of the this file are used as headers,
on the following format:

\begin{verbatim}
line1: document title
line2: author name, email
line3: date, version
\end{verbatim}

Lines with balanced equal signs = around are titles.

\section*{Fonts and Beautifiers}

We have two sets of fonts:

The NORMAL type that can be improved with beautifiers.

The TYPEWRITER type that uses monospaced font for
pre-formatted text.

We will now enter on a subtitle...

\subsection*{Beautifiers}

The text marks for beautifiers are simple, just as you
type on a plain text email message.

We use double *, /, - and \_ to represent \textbf{bold},
\textit{italic}, \sout{strike} and \underline{underline}.

The \textbf{\textit{bold italic}} style is also supported as a
combination.

\subsection*{Pre-Formatted Text}

We can put a code sample or other pre-formatted text:

\begin{verbatim}
  here    is     pre-formatted
//marks// are  **not**  ``interpreted``
\end{verbatim}

And also, it's easy to put a one line pre-formatted
text:

\begin{verbatim}
prompt$ ls /etc
\end{verbatim}

Or use \texttt{pre-formatted} inside sentences.

\subsection*{More Cosmetics}

Special entities like email (\htmladdnormallink{duh@somewhere.com}{mailto:duh@somewhere.com}) and
URL (\htmladdnormallink{http://www.duh.com}{http://www.duh.com}) are detected automagically,
as well as horizontal lines:

\hrulefill{}

\clearpage

You can also specify an \htmladdnormallink{explicit link}{http://duh.org}
with label.

And remember,

	\begin{quotation}
A TAB in front of the line does a quotation.
		\begin{quotation}
More TABs, more depth (if allowed).
		\end{quotation}
	\end{quotation}

Nice.

\section*{Lists}

A list of items is natural, just putting a \textbf{dash} or
a \textbf{plus} at the beginning of the line.

\subsection*{Plain List}

The dash is the default list identifier. For sublists,
just add \textbf{spaces} at the beginning of the line. More
spaces, more sublists.

\begin{compactitem}
\item earth
  \begin{compactitem}
  \item america
    \begin{compactitem}
    \item south america
      \begin{compactitem}
      \item brazil
      \item how deep can i go?
      \end{compactitem}
    \end{compactitem}
  \item europe
    \begin{compactitem}
    \item lots of countries
    \end{compactitem}
  \end{compactitem}
\item mars
  \begin{compactitem}
  \item who knows?
  \end{compactitem}
\end{compactitem}

The list ends with \textbf{two} consecutive blank lines.

\subsection*{Numbered List}

The same rules as the plain list, just a different
identifier (plus).

\begin{compactenum}
\item one
\item two
\item three
  \begin{compactitem}
  \item mixed lists!
  \item what a mess
    \begin{compactenum}
    \item counting again
    \item ...
    \end{compactenum}
  \end{compactitem}
\item four
\end{compactenum}

\subsection*{Definition List}

The definition list identifier is a colon, followed by
the term. The term contents is placed on the next line.

\begin{compactdesc}
\item[orange]
  a yellow fruit
\item[apple]
  a green or red fruit
\item[other fruits]
  \begin{compactitem}
  \item wee!
  \item mixing lists
    \begin{compactenum}
    \item again!
    \item and again!
    \end{compactenum}
  \end{compactitem}
\end{compactdesc}

\section*{Tables}

Use pipes to compose table rows and cells.
Double pipe at the line beginning starts a heading row.
Natural spaces specify each cell alignment.

\begin{tabular}{@{}lcr@{}}
heading 1 & heading 2 & heading 3 \\
\midrule
cell 1.1 & cell 1.2 & cell 1.3 \\
cell 2.1 & cell 2.2 & cell 2.3 \\
\end{tabular}

Without the last pipe, no border:

\begin{tabular}{@{}lcr@{}}
heading 1 & heading 2 & heading 3 \\
\midrule
cell 1.1 & cell 1.2 & cell 1.3 \\
cell 2.1 & cell 2.2 & cell 2.3 \\
\end{tabular}

\section*{Special Entities}

Because things were too simple.

\subsection*{Images}

The image mark is as simple as it can be: \texttt{[filename]}.

\includegraphics{img/photo.jpg}

\begin{compactitem}
\item The filename must end in PNG, JPG, GIF, or similar.
\item No spaces inside the brackets!
\end{compactitem}

\hrulefill{}

\includegraphics{img/t2tpowered.png}

\end{document}
